[![pipeline status](https://gitlab.com/lukas.walchshofer/pwsh/badges/main/pipeline.svg)](https://gitlab.com/lukas.walchshofer/pwsh/-/commits/main)

[![coverage report](https://gitlab.com/lukas.walchshofer/pwsh/badges/main/coverage.svg)](https://gitlab.com/lukas.walchshofer/pwsh/-/commits/main)

[![Latest Release](https://gitlab.com/lukas.walchshofer/pwsh/-/badges/release.svg)](https://gitlab.com/lukas.walchshofer/pwsh/-/releases)

# Website

This website is built using [Docusaurus 2](https://docusaurus.io/), a modern static website generator.

### Installation

```
$ yarn
```

### Local Development

```
$ yarn start
```

This command starts a local development server and opens up a browser window. Most changes are reflected live without having to restart the server.

### Build

```
$ yarn build
```

This command generates static content into the `build` directory and can be served using any static contents hosting service.

### Deployment

Using SSH:

```
$ USE_SSH=true yarn deploy
```

Not using SSH:

```
$ GIT_USER=<Your GitHub username> yarn deploy
```

If you are using GitHub pages for hosting, this command is a convenient way to build the website and push to the `gh-pages` branch.

### We are now building with TeamCity

nice...

second round - we're getting closer

